Bug 248208 - security/pssh: switch to the most viable fork
Summary: security/pssh: switch to the most viable fork
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-23 15:24 UTC by timp87
Modified: 2020-08-07 19:06 UTC (History)
1 user (show)

See Also:


Attachments
port patch (4.32 KB, patch)
2020-07-23 15:24 UTC, timp87
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2020-07-23 15:24:51 UTC
Created attachment 216705 [details]
port patch

Original PSSH is dead. There are multiple patches exist in the internet that will probably never land. Instead of digging it follow Fedora way - use the most viable fork of the original PSSH maintained by 'lilydjwg' github user. It incorporated those patches and looks really alive!
- upstream to switch to the most viable fork by lilydjwg
- take the latest release
- remove upstreamed patches
- take maintanership
- update pkg-descr to reflect the changes
- drop python 2 support since the fork works only with 3.5+
Comment 1 timp87 2020-07-23 15:25:27 UTC
Full changelog available at https://github.com/lilydjwg/pssh/blob/master/ChangeLog
Comment 2 timp87 2020-08-03 14:09:29 UTC
Any objections to this?
Comment 3 Fernando Apesteguía freebsd_committer 2020-08-07 09:48:03 UTC
Thanks for the patch.

The upstream project, seems to provide releases (https://github.com/lilydjwg/pssh/releases/tag/v2.3.4).

Would you change the patch to use MASTER_SITES instead of USE_GITHUB?

Thanks!
Comment 4 timp87 2020-08-07 13:00:08 UTC
(In reply to Fernando Apesteguía from comment #3)
I didn't understand how to use MASTER_SITES instead of USE_GITHUB.
There are no examples on Porters Handbook (at least I counld't find them) and I couldn't find other existing port which does it.
Could you please explain a bit more?
Comment 5 timp87 2020-08-07 13:12:28 UTC
Moreover if I set MASTER_SITES to https://github.com/bla/bla then ports framework complains that I'm going it wrong and I should use USE_GITHUB instead

/!\ pssh-2.3.4: Makefile warnings, please consider fixing /!\ 
                                                    
MASTER_SITES contains https://github.com/lilydjwg/pssh/archive/, please use
USE_GITHUB instead.
Comment 6 Fernando Apesteguía freebsd_committer 2020-08-07 16:49:59 UTC
(In reply to timp87 from comment #5)
Try something like this:

MASTER_SITES=   https://github.com/lilydjwg/pssh/releases/download/v${PORTVERSION}/
Comment 7 timp87 2020-08-07 17:41:31 UTC
(In reply to Fernando Apesteguía from comment #6)
Seems like release made a bit wrong since there are no assets there
Comment 8 Fernando Apesteguía freebsd_committer 2020-08-07 18:33:14 UTC
(In reply to timp87 from comment #7)
Yes, I seems the release is not viable. Thanks for checking though. Build testing...
Comment 9 commit-hook freebsd_committer 2020-08-07 18:42:21 UTC
A commit references this bug:

Author: fernape
Date: Fri Aug  7 18:41:58 UTC 2020
New revision: 544341
URL: https://svnweb.freebsd.org/changeset/ports/544341

Log:
  security/pssh: update to 2.3.4

  ChangeLog https://github.com/lilydjwg/pssh/blob/master/ChangeLog

  * switch to the most viable fork
  * Set MAINTAINER

  PR:	248208
  Submitted by:	timp87@gmail.com

Changes:
  head/security/pssh/Makefile
  head/security/pssh/distinfo
  head/security/pssh/files/patch-psshlib_cli.py
  head/security/pssh/files/patch-psshlib_manager.py
  head/security/pssh/files/patch-psshlib_psshutil.py
  head/security/pssh/pkg-descr
Comment 10 Fernando Apesteguía freebsd_committer 2020-08-07 19:06:54 UTC
Committed,

Thanks!